<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-button (click)="this.commonMethodsTs.goBack()" slot="start">
			<ion-icon slot="icon-only" name="arrow-round-back">
			</ion-icon>
		</ion-button>
		<ion-title (click)="this.commonMethodsTs.toPage_AdminRanking()">
			<ion-icon name="home"></ion-icon>
			Thông tin ranking
		</ion-title>
		<ion-button slot="end" (click)="saveData()">
			<ion-icon slot="icon-only" name="save"></ion-icon>
		</ion-button>
	</ion-toolbar>
</ion-header>

<ion-content color="light" fullscreen>
	<ion-grid fixed class="ion-no-padding">
		<form *ngIf="this.data && myForm" [formGroup]="myForm">
			<ion-list class="list-info-user">
				<ion-item>
					<ion-label>Tiêu đề(<span class="c-red">*</span>): </ion-label>
					<ion-input placeholder="Tiêu đề" formControlName="TieuDe"></ion-input>
				</ion-item>
				<ion-item class="d-flex ion-align-items-start">
					<ion-label class="label-for-textarea">Mô tả ngắn: </ion-label>
					<ion-textarea placeholder="Mô tả ngắn" formControlName="MoTaNgan"></ion-textarea>
				</ion-item>
				<ion-item>
					<ion-label>Percent discount(<span class="c-red">*</span>): </ion-label>
					<ion-input formControlName="PercentDiscount" type="number" placeholder="Percent discount">
					</ion-input><span>
						%</span>
				</ion-item>
				<ion-item>
					<ion-label>Point rule(<span class="c-red">*</span>): </ion-label>
					<dailyxe-ion-number placeholder="Point rule" [min]="0" [max]="1000000000"
						formControlName="PointRule"></dailyxe-ion-number>
				</ion-item>
				<ion-item lines="full">
					<ion-list class="ion-no-padding" lines="none">
						<ion-radio-group class="custom-radio" formControlName="TrangThai">
							<ion-item class="ion-no-padding">
								<ion-label>Trạng thái: </ion-label>
							</ion-item>
							<ion-item>
								<ion-label>Hiện</ion-label>
								<ion-radio slot="start" [value]="1"></ion-radio>
							</ion-item>
							<ion-item>
								<ion-label>Ẩn</ion-label>
								<ion-radio slot="start" [value]="2"></ion-radio>
							</ion-item>
						</ion-radio-group>
					</ion-list>
				</ion-item>
			</ion-list>
		</form>

		<ion-list *ngIf="this.data.Id != -1" lines="none"
			class="list-info-user ion-margin-top ion-padding-vertical ion-padding-horizontal">
			<ion-button (click)="delete()" class="w-100p mx-a" color="primary">Xoá</ion-button>
		</ion-list>
	</ion-grid>
</ion-content>